| LightHub v4.0.0 Smarthome controller firmware

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
out_Motor Class Reference

`#include <out_motor.h>`

Inheritance diagram for out_Motor:

## Public Member Functions
| out_Motor (Item *_item)
int | Setup () override
| Remove?? Now getChanType used instead. More...
int | Poll (short cause) override
int | Stop () override
int | Status () override
int | getChanType () override
int | getDefaultStorageType ()
int | Ctrl (itemCmd cmd, char *subItem=NULL, bool toExecute=true) override
Public Member Functions inherited from abstractOut
| abstractOut (Item *_item)
virtual int | isActive ()
virtual itemCmd | getDefaultOnVal ()
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Anounce ()

## Public Attributes
int8_t | pinUp
int8_t | pinDown
int8_t | pinFeedback
int16_t | maxOnTime
uint16_t | feedbackOpen
uint16_t | feedbackClosed
bool | inverted

## Protected Member Functions
void | getConfig ()
Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Additional Inherited Members
Protected Attributes inherited from abstractOut
Item * | item

## Constructor & Destructor Documentation

## ◆ out_Motor()

out_Motor::out_Motor | ( | Item * | _item | ) |
| inline

## Member Function Documentation

## ◆ Ctrl()

int out_Motor::Ctrl | ( | itemCmd | cmd,
|  | char * | subItem = `NULL`,
|  | bool | toExecute = `true`
| ) |  |
| override virtual

Implements abstractOut.

## ◆ getChanType()

int out_Motor::getChanType | ( |  | ) |
| override virtual

Reimplemented from abstractOut.

## ◆ getConfig()

void out_Motor::getConfig | ( |  | ) |
| protected

## ◆ getDefaultStorageType()

int out_Motor::getDefaultStorageType | ( |  | ) |
| inline virtual

Reimplemented from abstractOut.

## ◆ Poll()

int out_Motor::Poll | ( | short | cause | ) |
| override virtual

Implements abstractCh.

## ◆ Setup()

int out_Motor::Setup | ( |  | ) |
| override virtual

Remove?? Now getChanType used instead.

Reimplemented from abstractOut.

## ◆ Status()

int out_Motor::Status | ( |  | ) |
| override virtual

Reimplemented from abstractCh.

## ◆ Stop()

int out_Motor::Stop | ( |  | ) |
| override virtual

Reimplemented from abstractCh.

## Member Data Documentation

## ◆ feedbackClosed

uint16_t out_Motor::feedbackClosed

## ◆ feedbackOpen

uint16_t out_Motor::feedbackOpen

## ◆ inverted

bool out_Motor::inverted

## ◆ maxOnTime

int16_t out_Motor::maxOnTime

## ◆ pinDown

int8_t out_Motor::pinDown

## ◆ pinFeedback

int8_t out_Motor::pinFeedback

## ◆ pinUp

int8_t out_Motor::pinUp

The documentation for this class was generated from the following files:

- modules/out_motor.h
- modules/out_motor.cpp